## DROP DBPROC[EDURE] Statement (drop_dbproc_statement)

The DROP DBPROC[EDURE] statement (drop_dbproc_statement) deletes a database procedure.

### Syntax

<drop_dbproc_statement> ::= DROP DBPROC[EDURE] <dbproc_name>

### Examples

SQL Tutorial, Database Procedures

### Explanation

If no schema is specified in the database procedure name, the current schema is assumed implicitly.

The current user must be the owner of the database procedure or have the DROPIN privilege for the schema to which the database procedure is assigned.

Metadata for the database procedure is deleted.